Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 162360

Summary: S/PDIF broke in alsa-lib-1.0.9rf-2.FC4
Product: [Fedora] Fedora Reporter: Fredrik Noring <noring>
Component: alsa-libAssignee: Martin Stransky <stransky>
Status: CLOSED WORKSFORME QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 4   
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2006-03-30 10:29:20 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
$ lsmod
none
$ aplay -l none

Description Fredrik Noring 2005-07-03 09:58:02 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; sv-SE; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
I couldn't get S/PDIF-out working (no sound) with alsa-lib-1.0.9rf-2.FC4
and EMU10k1 on my SB Live Value. Downgrading to alsa-lib-1.0.6-3 (FC3)
solves the problem. I also removed /etc/asound.state to make sure that
the volume control settings didn't mute output. (Analogue output works.)


Version-Release number of selected component (if applicable):
alsa-lib-1.0.9rf-2.FC4

How reproducible:
Always

Steps to Reproduce:
1. Connect the S/PDIF output to an amplifier
2. $ aplay /usr/share/system-config-soundcard/sound-sample.wav

  

Actual Results:  No sound was produced on S/PDIF output. Analogue output works.

Expected Results:  Sound on S/PDIF output, as with FC3.

Additional info:

Downgrading to alsa-lib-1.0.6-3 (FC3) solves the problem.

Comment 1 Martin Stransky 2005-07-11 09:08:53 UTC
Do you use FC4 kernel with old alsa-libs?

Comment 2 Fredrik Noring 2005-07-11 09:38:53 UTC
Yeah, I use FC4 with alsa-lib-1.0.6-3 (taken from FC3).

Comment 3 Martin Stransky 2005-07-12 08:07:28 UTC
What do you have in /etc/asound.conf when sound works?

Comment 4 Fredrik Noring 2005-07-12 08:59:24 UTC
# Generated by system-config-soundcard, do not edit by hand
defaults.pcm.card 0
defaults.ctl.card 0


Comment 5 Martin Stransky 2005-07-12 10:29:44 UTC
Do you use only snd-emu10k1 driver? Could you attach output of lsmod
and "aplay -l"?

Comment 6 Martin Stransky 2005-07-12 11:11:08 UTC
What happens if you install new alsa-lib and fill /etc/asound.conf with

pcm.!default { type hw card 0 }
ctl.!default { type hw card 0 }


Comment 7 Fredrik Noring 2005-07-12 18:50:42 UTC
$ cat /etc/asound.conf
# Generated by system-config-soundcard, do not edit by hand
# defaults.pcm.card 0
# defaults.ctl.card 0
pcm.!default { type hw card 0 }
ctl.!default { type hw card 0 }

$ rpm -qa | grep alsa
alsa-utils-1.0.9rf-2.FC4
alsa-lib-1.0.9rf-2.FC4
alsa-lib-1.0.9rf-2.FC4
alsa-lib-devel-1.0.9rf-2.FC4

$ reboot

*** No sound ***

Comment 8 Fredrik Noring 2005-07-12 18:52:44 UTC
Created attachment 116670 [details]
$ lsmod

Comment 9 Fredrik Noring 2005-07-12 18:53:44 UTC
Created attachment 116671 [details]
$ aplay -l

Comment 10 Fredrik Noring 2005-07-12 18:55:46 UTC
$ cat /etc/asound.conf
# Generated by system-config-soundcard, do not edit by hand
defaults.pcm.card 0
defaults.ctl.card 0
# pcm.!default { type hw card 0 }
# ctl.!default { type hw card 0 }

$ rpm -qa | grep alsa
alsa-lib-devel-1.0.6-3
alsa-lib-1.0.6-3
alsa-lib-1.0.6-3
alsa-utils-1.0.6-3

$ reboot

*** Sound again ***

Comment 11 Fredrik Noring 2005-07-12 18:57:39 UTC
Kernel version is at all times:

$ uname -r
2.6.11-1.1369_FC4


Comment 12 Martin Stransky 2006-03-08 13:20:28 UTC
Could you please check the latest drivers? how-to is here:
http://people.redhat.com/stransky/alsa